Skip to main content
GET
/
platform
/
records
List records
curl --request GET \
  --url https://api.rootkey.ai/api-v1/platform/records \
  --header 'x-api-key: <api-key>'
{
  "chainId": 137,
  "records": {
    "data": [
      {}
    ],
    "pagination": {
      "previousCursor": "<string>",
      "nextCursor": "<string>"
    },
    "metadata": {
      "fetchedCount": 123,
      "totalCount": 123,
      "serverTimestamp": "2023-11-07T05:31:56Z",
      "parameters": {
        "limit": 123,
        "cursor": "<string>"
      },
      "registered": 123,
      "pending": 123,
      "error": 123,
      "last24hCount": 123
    }
  }
}

Authorizations

x-api-key
string
header
required

ROOTKey API key (rk_live_... for production, rk_test_... for the test network).

Query Parameters

vaultAddress
string
required
cursor
string
limit
number
default:10
order
enum<string>
default:desc
Available options:
asc,
desc
name
string
startDate
string<date-time>
endDate
string<date-time>
status
enum<string>
Available options:
pending,
registered,
error

Response

Paginated list of records

chainId
number
Example:

137

records
object

Paginated records — fields are dynamic based on the anchored recordData payload